Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Controller::MetaDataChangedEvent Struct Reference

Event: Controller metadata has changed. More...

`import <Controller.idl;`

Inheritance diagram for pdumodel::Controller::MetaDataChangedEvent:

## Public Attributes
MetaData | oldMetaData
| Metadata before change.
MetaData | newMetaData
| Metadata after change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Controller metadata has changed.

Definition at line 68 of file Controller.idl.

## Member Data Documentation

## ◆ newMetaData

MetaData pdumodel::Controller::MetaDataChangedEvent::newMetaData

Metadata after change.

Definition at line 70 of file Controller.idl.

## ◆ oldMetaData

MetaData pdumodel::Controller::MetaDataChangedEvent::oldMetaData

Metadata before change.

Definition at line 69 of file Controller.idl.

The documentation for this struct was generated from the following file:

- Controller.idl